Subject: [savi] SAVI solution proposal from Jun Bi et al.

From: Christian Vogt <[email-masked]>
Date: Fri, 18 Jul 2008 22:34:36 +0300

I am forwarding to you a SAVI solution proposal from Jun Bi et
al., as well as a first review of this proposal from myself.
Reviews and comments from other folks are very welcome, of course.

Kind regards,
- Christian

Begin forwarded message:

> From: Christian Vogt <[email-masked]>
> Date: July 18, 2008 15:36:08 GMT+03:00
> To: Jun Bi <[email-masked]>, Jianping Wu  
> <[email-masked]>,
> Guang Yao <[email-masked]>
> Cc: Bill Fenner <[email-masked]>, Jari Arkko <[email-masked]>
> Subject: Comments on Your SAVI Proposal
>
> Jun, Jianping, and Guang,
>
> thanks for working so quickly on this proposal.  You should definitely
> present it at the SAVI session in Dublin.  I have put you on the  
> agenda.
>
> I must note, though, that the proposal is not fully compliant with the
> SAVI charter in two ways:  (i) It requires host changes, which the
> SAVI charter prohibits, and (ii) it performs host authentication,
> which also goes beyond the SAVI charter.  This means that there will
> likely be skeptical comments at the microphone to which you should be
> prepared.  The prospective SAVI solution will have to affect a
> compromise between effectiveness (security) and non-intrusiveness (no
> false packet drops, backwards compatibility, small configuration
> overhead).  Your proposal errs on the side of security in this
> trade-off space, Fred's proposal, for one, errs on the side
> of non-intrusiveness.  I believe the prospective SAVI solution will
> lie between the two.  In any case, it will have to lie within the
> charter limits.
>
> A comment of technical nature:  Your proposal supports different
> address configuration methods (autonomous, DHCP, privacy, CGA,
> manual).  In one of them, the DHCP case, you require a cryptographic
> binding between the initial address generation and the registration of
> this address with the SAVI enforcement point.  You are doing this even
> at the cost of changing the DHCP protocol.  Why is such a binding
> required in the DHCP case, and why not in other cases?  Considered
> homogenizing this?
>
> - Christian
>
>
>
> On Jul 17, 2008, at 9:06, Jun Bi wrote:
>
>> Dear Jari and Christian,
>>
>> This is a draft we want to submit. Please give us some advice.
>>
>> Best Regards, Jun Bi

---

From: Fred Baker <[email-masked]>
Date: Fri, 18 Jul 2008 12:45:40 -0700

Gee. Could we get these things posted as internet drafts?

On Jul 18, 2008, at 12:34 PM, Christian Vogt wrote:

> <csa.txt>_______________________________________________
> savi mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/savi

---

From: "Jun Bi" <[email-masked]>
Date: Sat, 19 Jul 2008 03:51:14 +0800

Dear Christian,

First thank you for the comments. We worked about one year on this draft,
including implementing the code in Linux and doing experiments. A paper
that described this method is accepted by IEEE LCN 2008 (local computer
network conference). We are enhancing the method, so we welcome comments.

1
For the case that user is able to control the first layer2 hop equipment
(e.g upgrading ALL Ethernet Switches), we have another solution draft:
http://www3.ietf.org/proceedings/staging/draft-wu-sava-solution-firsthop-eap-01.txt.
(Gang Ren plans to present this EAP draft).

2
For other cases (e.g. for a big campus network like Tsinghua U. some
Ethernet switches are owned by different department and the total number of
switches is
huge. It's hard to upgrade all switches quickly), we propose this draft. We
are
designing this protocol as an
extension of SeND. So if you think SeND could be considered as part of SAVI
(not host change, not "authentication"),then this draft should be within the
charter scope.

3
The solution will be deployed at the first layer3 hop equipment, so it won't
conflict with the solutions for the first layer2 hop which is either Fred's
proposal or the EAP extention draft above for IPv6. The user can enable one 
of them or enable both.

4
To meet all kinds of address allocation methods is reuqired by the charter.
In the DHCP case, we need to know that exactly who applyed and got the
assigned address.
In the stateless cases, we just need to know the address is being used.
In the manual case, the address is binded with the share key with the
address is allocated.
That's why we consider to have different ways.

thank you again,
Jun Bi

----- Original Message ----- 
From: "Christian Vogt" <[email-masked]>
To: "SAVI Mailing List" <[email-masked]>
Cc: "Guang Yao" <[email-masked]>
Sent: Saturday, July 19, 2008 3:34 AM
Subject: [savi] SAVI solution proposal from Jun Bi et al.

>>> This is a draft we want to submit. Please give us some advice.

--------------------------------------------------------------------------------

> _______________________________________________
> savi mailing list
> [email-masked]

---

From: "Jun Bi" <[email-masked]>
Date: Sun, 27 Jul 2008 23:15:02 +0100

Hi All,

This is the latest version of the proposal, which I will present tomorrow:

http://www.ietf.org/internet-drafts/draft-bi-savi-csa-00.txt

Please give us your valuable comments. Thank you!

Best Regards,
Jun bi

----- Original Message ----- 
From: "Fred Baker" <[email-masked]>
To: "Christian Vogt" <[email-masked]>
Cc: "Guang Yao" <[email-masked]>; "SAVI Mailing List" 
<[email-masked]>
Sent: Friday, July 18, 2008 8:45 PM
Subject: Re: [savi] SAVI solution proposal from Jun Bi et al.

>>> To: Jun Bi <[email-masked]>, Jianping Wu  <[email-masked]>,